For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
      • GETGet receivables
      • POSTSearch receivables
      • POSTCreate a receivable
      • POSTClone a receivable
      • GETGet a receivable by ID
      • PATCHUpdate a receivable
      • PUTUpdate the line items of a receivable
      • POSTVerify a receivable
      • POSTIssue a receivable
      • GETGet a link to the PDF version of a receivable
      • DELDelete a receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts receivableReceivables (invoices, quotes, credit notes)

Update the line items of a receivable

PUT
/receivables/:receivable_id/line_items
PUT
/v1/receivables/:receivable_id/line_items
$curl -X PUT https://api.sandbox.monite.com/v1/receivables/receivable_id/line_items \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": [
> {
> "quantity": 1.1
> }
> ]
>}'
1{
2 "data": [
3 {
4 "product": {
5 "id": "id",
6 "created_at": "2024-01-15T09:30:00Z",
7 "updated_at": "2024-01-15T09:30:00Z",
8 "entity_id": "entity_id",
9 "name": "name",
10 "price": {
11 "currency": "AED",
12 "value": 1
13 },
14 "price_after_vat": {
15 "currency": "AED",
16 "value": 1
17 },
18 "vat_rate": {
19 "country": "AF",
20 "value": 1,
21 "id": "id",
22 "components": [
23 {
24 "name": "name",
25 "value": 1.1
26 }
27 ],
28 "is_custom": true,
29 "name": "name"
30 },
31 "accounting_tax_rate_id": "accounting_tax_rate_id",
32 "description": "description",
33 "entity_user_id": "entity_user_id",
34 "external_reference": "HT-1234-S-BL",
35 "is_inline": true,
36 "ledger_account_id": "ledger_account_id",
37 "measure_unit": {
38 "created_at": "2024-01-15T09:30:00Z",
39 "updated_at": "2024-01-15T09:30:00Z",
40 "name": "name",
41 "id": "id",
42 "description": "description"
43 },
44 "measure_unit_id": "measure_unit_id",
45 "smallest_amount": 1.1,
46 "type": "product"
47 },
48 "quantity": 1.1,
49 "total_after_vat": 1,
50 "total_before_vat": 1,
51 "discount": {
52 "amount": 1,
53 "type": "amount"
54 },
55 "tax_status": "taxable"
56 }
57 ]
58}
Replace all line items of an existing invoice or quote with a new list of line items.
Was this page helpful?
Previous

Verify a receivable

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

receivable_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
datalist of objectsRequired

Response

Successful Response
datalist of objects

Errors

400
Put Receivables ID Line Items Request Bad Request Error
401
Put Receivables ID Line Items Request Unauthorized Error
403
Put Receivables ID Line Items Request Forbidden Error
404
Put Receivables ID Line Items Request Not Found Error
409
Put Receivables ID Line Items Request Conflict Error
422
Put Receivables ID Line Items Request Unprocessable Entity Error
500
Put Receivables ID Line Items Request Internal Server Error